Bug 71481 - No video modes EXCEPT 1400x1050 on Dell Latitude C600 laptop
No video modes EXCEPT 1400x1050 on Dell Latitude C600 laptop
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks: 82779
  Show dependency treegraph
 
Reported: 2002-08-14 03:15 EDT by Bruce Allen
Modified: 2007-04-18 12:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-01 06:14:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
here is my config file (3.17 KB, text/plain)
2002-12-30 07:24 EST, Don Hardaway
no flags Details
XFree 86 Config file with two screen entries: 1400x1050 and 1024x768 (3.26 KB, text/plain)
2003-06-19 10:51 EDT, Bruce Allen
no flags Details

  None (edit)
Description Bruce Allen 2002-08-14 03:15:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020408

Description of problem:
Platform is a Dell Lattitude C600 Laptop.  Screen is:
 (II) R128(0): Panel size: 1400x1050
 (II) R128(0): Panel ID: Samsung LTN141P2
 (II) R128(0): Panel Type: Color, Single, TFT
 (II) R128(0): Panel Interface: LVDS
 (II) R128(0): PLL parameters: rf=2700 rd=12 min=12000 max=27000;   xclk=10500

Video Chip is:
 Chipset: "ATI Rage 128 Mobility LF (AGP)" (ChipID = 0x4c46) 
 ATI Rage 128 Mobility LF rev 2, Mem @ 0xf8000000/26, 0xfdffc000/14,   I/O @
0xec00/8

The XF86Config-4 produced by Anaconda only has a 1400x1050 mode in it.
When I tried by hand to put in other modes, for example 1024x768 and
1280x1024, they did not work.  These modes are certainly available from the
hardware when running other OSes.

By commenting out the "load dri" driver I was able to get a fuzzy 1280x1024 mode
to work, but no other modes.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install RH7.3 as per instructions
2.Add additional modes to Display:Modes: section of XF86Config
3.startx, then <Control>-<Alt>-<NUM-LOCK>+ to change modes
	

Actual Results:  No mode change.  /var/log/XFree86.log.0 (attached) shows no modes
other than 1400x1050 available.

Expected Results:  Change to lower resolution screen.  This is useful because in
doing
presentations, most video projectors don't support 1400x1050

Additional info:

Below are the 
  /etc/X11/XF86Config-4 (with additional modes added, and some font paths added)
  /var/log/XFree86.0.log
  output of /sbin/lspci -vvv
  output of /sbin/lspci -vvvn


************************************
  # Original Kickstart generated file
# File generated by anaconda.

Section "ServerLayout"
        Identifier     "Anaconda Configured"
        Screen      0  "Screen0" 0 0
        InputDevice    "Mouse0" "CorePointer"
        InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "Files"

# The location of the RGB database.  Note, this is the name of the
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.

    RgbPath	"/usr/X11R6/lib/X11/rgb"

# Multiple FontPath entries are allowed (they are concatenated together)
# By default, Red Hat 6.0 and later now use a font server independent of
# the X server to render fonts.

    FontPath   "unix/:7100"
	# Note to bugzilla reader: I added these lines -- they don't matter
	FontPath	"/usr/lib/X11/fonts/misc"
	FontPath	"/usr/lib/X11/fonts/cyrillic"
	FontPath	"/usr/lib/X11/fonts/100dpi/:unscaled"
	FontPath	"/usr/lib/X11/fonts/75dpi/:unscaled"
	FontPath	"/usr/lib/X11/fonts/Type1"
	FontPath	"/usr/lib/X11/fonts/Speedo"
	FontPath	"/usr/lib/X11/fonts/100dpi"
	FontPath	"/usr/lib/X11/fonts/75dpi"
EndSection

Section "Module"
        Load  "GLcore"
        Load  "dbe"
        Load  "extmod"
	Load "fbdevhw"
	Load "dri"
     Load  "glx"
        Load  "record"
        Load  "freetype"
        Load  "type1"
EndSection

Section "InputDevice"
        Identifier  "Keyboard0"
        Driver      "keyboard"

#
Option
"AutoRepeat"
"500 5"

# when using XQUEUE, comment out the above line, and uncomment the
# following line
#
Option
"Protocol"
"Xqueue"

# Specify which keyboard LEDs can be user-controlled (eg, with xset(1))
 	Option
"Xleds"
	"1 2 3"

# To disable the XKEYBOARD extension, uncomment XkbDisable.
#
Option
"XkbDisable"

# To customise the XKB settings to suit your keyboard, modify the
# lines below (which are the defaults).  For example, for a non-U.S.
# keyboard, you will probably want to use:
#
Option
"XkbModel"
"pc102"
# If you have a US Microsoft Natural keyboard, you can use:
#
Option
"XkbModel"
"microsoft"
#
# Then to change the language, change the Layout setting.
# For example, a german layout can be obtained with:
#
Option
"XkbLayout"
"de"
# or:
#
Option
"XkbLayout"
"de"
#
Option
"XkbVariant"
"nodeadkeys"
#
# If you'd like to switch the positions of your capslock and
# control keys, use:
#
Option
"XkbOptions"
"ctrl:nocaps"
	Option	"XkbRules"	"xfree86"
	Option	"XkbModel"	"pc105"
	Option	"XkbLayout"	"us"
	#ption	"XkbVariant"	"basic"
	#Option	"XkbOptions"	""
EndSection

Section "InputDevice"
        Identifier  "Mouse0"
        Driver      "mouse"
        Option      "Protocol" "PS/2"
        Option      "Device" "/dev/psaux"
        Option      "ZAxisMapping" "4 5"
        Option      "Emulate3Buttons" "yes"
EndSection

Section "Monitor"
        Identifier   "Monitor0"
        VendorName   "Monitor Vendor"
        ModelName    "Monitor Model"
        HorizSync   31.5-90.0
        VertRefresh 59.0-75.0
        Option "DPMS"

        # -- 1400x1050 --
        # 1400x1050 @ 60Hz, 65.8 kHz hsync
        Modeline "1400x1050"  129   1400 1464 1656 1960
                              1050 1051 1054 1100 +HSync +VSync

        # 1400x1050 @ 70Hz, 76.8 kHz hsync
        Modeline "1400x1050"  151   1400 1464 1656 1960
                              1050 1051 1054 1100 +HSync +VSync

        # 1400x1050 @ 75Hz, 82.3 kHz hsync
        Modeline "1400x1050"  162   1400 1464 1656 1960
                              1050 1051 1054 1100 +HSync +VSync

        # 1400x1050 @ 85Hz, 93.2 kHz hsync
        Modeline "1400x1050"  184   1400 1464 1656 1960
                              1050 1051 1054 1100 +HSync +VSync

EndSection

Section "Device"
	# no known options
	Identifier   "ATI Rage 128 Mobility"
        Driver      "r128"
        VendorName   "ATI Rage 128 Mobility"
        BoardName     "ATI Rage 128 Mobility"
        
        #BusID
EndSection

Section "Screen"
	Identifier   "Screen0"
        Device       "ATI Rage 128 Mobility"
        Monitor      "Monitor0"
	DefaultDepth	24

	Subsection "Display"
        	Depth       24
# NOTE to bugzilla reader: Only the first two "1400x1050" entries were created
by anadonda.  I put in the remaining three -- but they didn't work.
                Modes       "1400x1050" "1400x1050" "1024x768" "800x600" "640x480"
	EndSubsection

EndSection

Section "DRI"
	Mode 0666
EndSection




XFree86 Version 4.2.0 (Red Hat Linux release: 4.2.0-8) / X Window System
(protocol Version 11, revision 0, vendor release 6600)
Release Date: 23 January 2002
	If the server is older than 6-12 months, or if your card is
	newer than the above date, look for a newer version before
	reporting problems.  (See http://www.XFree86.Org/)
Build Operating System: Linux 2.4.17-0.13smp i686 [ELF] 
Build Host: daffy.perf.redhat.com
 
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/XFree86.0.log", Time: Wed Aug 14 08:13:09 2002
(==) Using config file: "/etc/X11/XF86Config-4"
(==) ServerLayout "Anaconda Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Monitor0"
(**) |   |-->Device "ATI Rage 128 Mobility"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) Option "XLeds" "1 2 3"
(**) Option "XkbRules" "xfree86"
(**) XKB: rules: "xfree86"
(**) Option "XkbModel" "pc105"
(**) XKB: model: "pc105"
(**) Option "XkbLayout" "us"
(**) XKB: layout: "us"
(==) Keyboard: CustomKeycode disabled
(WW) The directory "/usr/lib/X11/fonts/cyrillic" does not exist.
	Entry deleted from font path.
(**) FontPath set to
"unix/:7100,/usr/lib/X11/fonts/misc,/usr/lib/X11/fonts/100dpi/:unscaled,/usr/lib/X11/fonts/75dpi/:unscaled,/usr/lib/X11/fonts/Type1,/usr/lib/X11/fonts/Speedo,/usr/lib/X11/fonts/100dpi,/usr/lib/X11/fonts/75dpi"
(**) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(--) using VT number 7

(II) Open APM successful
(II) Module ABI versions:
	XFree86 ANSI C Emulation: 0.1
	XFree86 Video Driver: 0.5
	XFree86 XInput driver : 0.3
	XFree86 Server Extension : 0.1
	XFree86 Font Renderer : 0.3
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	Module class: XFree86 Font Renderer
	ABI class: XFree86 Font Renderer, version 0.3
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.5
(II) PCI: Probing config type using method 1
(II) PCI: Config type is 1
(II) PCI: stages = 0x03, oldVal1 = 0x00000000, mode1Res1 = 0x80000000
(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 8086,7190 card 0000,0000 rev 03 class 06,00,00 hdr 00
(II) PCI: 00:01:0: chip 8086,7191 card 0000,0000 rev 03 class 06,04,00 hdr 01
(II) PCI: 00:03:0: chip104c,ac51 card 4000,0000 rev 00 class 06,07,00 hdr 82
(II) PCI: 00:03:1: chip 104c,ac51 card 4800,0000 rev 00 class 06,07,00 hdr 82
(II) PCI: 00:07:0: chip 8086,7110 card 0000,0000 rev 02 class 06,80,00 hdr 80
(II) PCI: 00:07:1: chip 8086,7111 card 0000,0000 rev 01 class 01,01,80 hdr 00
(II) PCI: 00:07:2: chip 8086,7112 card 0000,0000 rev 01 class 0c,03,00 hdr 00
(II) PCI: 00:07:3: chip 8086,7113 card 0000,0000 rev 03 class 06,80,00 hdr 00
(II) PCI: 00:08:0: chip 125d,1998 card 1028,00b1 rev 10 class 04,01,00 hdr 00
(II) PCI: 00:10:0: chip 104c,ac50 card 5000,0000 rev 01 class 06,07,00 hdr 02
(II) PCI: 01:00:0: chip 1002,4c46 card 1028,00b1 rev 02 class 03,00,00 hdr 00
(II) PCI: 02:00:0: chip 115d,0003 card 115d,1181 rev 03 class 02,00,00 hdr 80
(II) PCI: 02:00:1: chip 115d,0103 card 115d,1181 rev 03 class 07,00,02 hdr 80
(II) PCI: End of PCI scan
(II) LoadModule: "scanpci"
(II) Loading /usr/X11R6/lib/modules/libscanpci.a
(II) Module scanpci: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.5
(II) UnloadModule: "scanpci"
(II) Unloading /usr/X11R6/lib/modules/libscanpci.a
(II) Host-to-PCI bridge:
(II) Host-to-PCI bridge:
(II) PCI-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (-1,0,0), BCTRL: 0x08 (VGA_EN is set)
(II) Bus 0 I/O range:
	[0] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x8c (VGA_EN is set)
(II) Bus 1 I/O range:
	[0] -1	0x0000e000 - 0x0000e0ff (0x100) IX[B]
	[1] -1	0x0000e400 - 0x0000e4ff (0x100) IX[B]
	[2] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[3] -1	0x0000ec00 - 0x0000ecff (0x100) IX[B]
(II) Bus 1 non-prefetchable memory range:
	[0] -1	0xfd000000 - 0xfeffffff (0x2000000) MX[B]
(II) Bus 1 prefetchable memory range:
	[0] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B]
(II) Bus 2: bridge is at (0:0:0), (-1,2,0), BCTRL: 0x00 (VGA_EN is cleared)
(II) Bus 2 I/O range:
	[0] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 2 non-prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 2 prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(--) PCI:*(1:0:0) ATI Rage 128 Mobility LF rev 2, Mem @ 0xf8000000/26,
0xfdffc000/14, I/O @ 0xec00/8
(II) Addressable bus resource ranges are
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
	[1] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[6] -1	0x00000000 - 0x000000ff (0x100) IX[B]
(II) Active PCI resource ranges:
	[0] -1	0x20404000 - 0x20407fff (0x4000) MX[B]
	[1] -1	0x20801800 - 0x20801fff (0x800) MX[B]
	[2] -1	0x20801000 - 0x208017ff (0x800) MX[B]
	[3] -1	0x20400000 - 0x20403fff (0x4000) MX[B]
	[4] -1	0x20800800 - 0x20800fff (0x800) MX[B]
	[5] -1	0x20800000 - 0x208007ff (0x800) MX[B]
	[6] -1	0xf3ffe000 - 0xf3ffffff (0x2000) MX[B]
	[7] -1	0xf4000000 - 0xf7ffffff (0x4000000) MX[B]
	[8] -1	0xfdffc000 - 0xfdffffff (0x4000) MX[B](B)
	[9] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[10] -1	0x00004080 - 0x00004087 (0x8) IX[B]
	[11] -1	0x00004000 - 0x0000407f (0x80) IX[B]
	[12] -1	0x0000d800 - 0x0000d8ff (0x100) IX[B]
	[13] -1	0x0000dce0 - 0x0000dcff (0x20) IX[B]
	[14] -1	0x00000860 - 0x0000086f (0x10) IX[B]
	[15] -1	0x0000ec00 - 0x0000ecff (0x100) IX[B](B)
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0x20404000 - 0x20407fff (0x4000) MX[B]
	[1] -1	0x20801800 - 0x20801fff (0x800) MX[B]
	[2] -1	0x20801000 - 0x208017ff (0x800) MX[B]
	[3] -1	0x20400000 - 0x20403fff (0x4000) MX[B]
	[4] -1	0x20800800 - 0x20800fff (0x800) MX[B]
	[5] -1	0x20800000 - 0x208007ff (0x800) MX[B]
	[6] -1	0xf3ffe000 - 0xf3ffffff (0x2000) MX[B]
	[7] -1	0xf4000000 - 0xf7ffffff (0x4000000) MX[B]
	[8] -1	0xfdffc000 - 0xfdffffff (0x4000) MX[B](B)
	[9] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[10] -1	0x00004080 - 0x00004087 (0x8) IX[B]
	[11] -1	0x00004000 - 0x0000407f (0x80) IX[B]
	[12] -1	0x0000d800 - 0x0000d8ff (0x100) IX[B]
	[13] -1	0x0000dce0 - 0x0000dcff (0x20) IX[B]
	[14] -1	0x00000860 - 0x0000086f (0x10) IX[B]
	[15] -1	0x0000ec00 - 0x0000ecff (0x100) IX[B](B)
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x203fffff (0x20300000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[6] -1	0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x203fffff (0x20300000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x20404000 - 0x20407fff (0x4000) MX[B]
	[6] -1	0x20801800 - 0x20801fff (0x800) MX[B]
	[7] -1	0x20801000 - 0x208017ff (0x800) MX[B]
	[8] -1	0x20400000 - 0x20403fff (0x4000) MX[B]
	[9] -1	0x20800800 - 0x20800fff (0x800) MX[B]
	[10] -1	0x20800000 - 0x208007ff (0x800) MX[B]
	[11] -1	0xf3ffe000 - 0xf3ffffff (0x2000) MX[B]
	[12] -1	0xf4000000 - 0xf7ffffff (0x4000000) MX[B]
	[13] -1	0xfdffc000 - 0xfdffffff (0x4000) MX[B](B)
	[14] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[15] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[16] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[17] -1	0x00004080 - 0x00004087 (0x8) IX[B]
	[18] -1	0x00004000 - 0x0000407f (0x80) IX[B]
	[19] -1	0x0000d800 - 0x0000d8ff (0x100) IX[B]
	[20] -1	0x0000dce0 - 0x0000dcff (0x20) IX[B]
	[21] -1	0x00000860 - 0x0000086f (0x10) IX[B]
	[22] -1	0x0000ec00 - 0x0000ecff (0x100) IX[B](B)
(II) LoadModule: "GLcore"
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) LoadModule: "dbe"
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "extmod"
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension FontCache
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) LoadModule: "fbdevhw"
(II) Loading /usr/X11R6/lib/modules/linux/libfbdevhw.a
(II) Module fbdevhw: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 0.0.2
	ABI class: XFree86 Video Driver, version 0.5
(II) LoadModule: "dri"
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension XFree86-DRI
(II) LoadModule: "glx"
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Reloading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/X11R6/lib/modules/extensions/librecord.a
(II) Module record: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.13.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension RECORD
(II) LoadModule: "freetype"
(II) Loading /usr/X11R6/lib/modules/fonts/libfreetype.a
(II) Module freetype: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.1.10
	Module class: XFree86 Font Renderer
	ABI class: XFree86 Font Renderer, version 0.3
(II) Loading font FreeType
(II) LoadModule: "type1"
(II) Loading /usr/X11R6/lib/modules/fonts/libtype1.a
(II) Module type1: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.1
	Module class: XFree86 Font Renderer
	ABI class: XFree86 Font Renderer, version 0.3
(II) Loading font Type1
(II) Loading font CID
(II) LoadModule: "ati"
(II) Loading /usr/X11R6/lib/modules/drivers/ati_drv.o
(II) Module ati: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 6.4.8
	Module class: XFree86 Video Driver
	ABI class: XFree86 Video Driver, version 0.5
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	Module class: XFree86 XInput Driver
	ABI class: XFree86 XInput driver, version 0.3
(II) ATI: ATI driver (version 6.4.8) for chipsets: ati, ativga
(II) R128: Driver for ATI Rage 128 chipsets: ATI Rage 128 RE (PCI),
	ATI Rage 128 RF (AGP), ATI Rage 128 RG (AGP), ATI Rage 128 RK (PCI),
	ATI Rage 128 RL (AGP), ATI Rage 128 SM (AGP),
	ATI Rage 128 Pro PD (PCI), ATI Rage 128 Pro PF (AGP),
	ATI Rage 128 Pro PP (PCI), ATI Rage 128 Pro PR (PCI),
	ATI Rage 128 Pro ULTRA TF (AGP), ATI Rage 128 Pro ULTRA TL (AGP),
	ATI Rage 128 Pro ULTRA TR (AGP), ATI Rage 128 Mobility LE (PCI),
	ATI Rage 128 Mobility LF (AGP), ATI Rage 128 Mobility MF (AGP),
	ATI Rage 128 Mobility ML (AGP)
(II) RADEON: Driver for ATI Radeon chipsets: ATI Radeon QD (AGP),
	ATI Radeon QE (AGP), ATI Radeon QF (AGP), ATI Radeon QG (AGP),
	ATI Radeon VE QY (AGP), ATI Radeon VE QZ (AGP),
	ATI Radeon Mobility LW (AGP), ATI Radeon Mobility LX (AGP),
	ATI Radeon Mobility LY (AGP), ATI Radeon Mobility LZ (AGP),
	ATI Radeon 8500 QL (AGP), ATI Radeon 8500 QN (AGP),
	ATI Radeon 8500 QO (AGP), ATI Radeon 8500 Ql (AGP),
	ATI Radeon 8500 BB (AGP), ATI Radeon 7500 QW (AGP)
(II) Primary Device is: PCI 01:00:0
(II) ATI:  Candidate "Device" section "ATI Rage 128 Mobility".
(--) Assigning device section with no busID to primary device
(--) Chipset ATI Rage 128 Mobility LF (AGP) found
(II) Loading sub module "r128"
(II) LoadModule: "r128"
(II) Loading /usr/X11R6/lib/modules/drivers/r128_drv.o
(II) Module r128: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 4.0.1
	Module class: XFree86 Video Driver
	ABI class: XFree86 Video Driver, version 0.5
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x203fffff (0x20300000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x20404000 - 0x20407fff (0x4000) MX[B]
	[6] -1	0x20801800 - 0x20801fff (0x800) MX[B]
	[7] -1	0x20801000 - 0x208017ff (0x800) MX[B]
	[8] -1	0x20400000 - 0x20403fff (0x4000) MX[B]
	[9] -1	0x20800800 - 0x20800fff (0x800) MX[B]
	[10] -1	0x20800000 - 0x208007ff (0x800) MX[B]
	[11] -1	0xf3ffe000 - 0xf3ffffff (0x2000) MX[B]
	[12] -1	0xf4000000 - 0xf7ffffff (0x4000000) MX[B]
	[13] -1	0xfdffc000 - 0xfdffffff (0x4000) MX[B](B)
	[14] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[15] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[16] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[17] -1	0x00004080 - 0x00004087 (0x8) IX[B]
	[18] -1	0x00004000 - 0x0000407f (0x80) IX[B]
	[19] -1	0x0000d800 - 0x0000d8ff (0x100) IX[B]
	[20] -1	0x0000dce0 - 0x0000dcff (0x20) IX[B]
	[21] -1	0x00000860 - 0x0000086f (0x10) IX[B]
	[22] -1	0x0000ec00 - 0x0000ecff (0x100) IX[B](B)
(II) resource ranges after probing:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x203fffff (0x20300000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x20404000 - 0x20407fff (0x4000) MX[B]
	[6] -1	0x20801800 - 0x20801fff (0x800) MX[B]
	[7] -1	0x20801000 - 0x208017ff (0x800) MX[B]
	[8] -1	0x20400000 - 0x20403fff (0x4000) MX[B]
	[9] -1	0x20800800 - 0x20800fff (0x800) MX[B]
	[10] -1	0x20800000 - 0x208007ff (0x800) MX[B]
	[11] -1	0xf3ffe000 - 0xf3ffffff (0x2000) MX[B]
	[12] -1	0xf4000000 - 0xf7ffffff (0x4000000) MX[B]
	[13] -1	0xfdffc000 - 0xfdffffff (0x4000) MX[B](B)
	[14] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[15] 0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[16] 0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[17] 0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[18] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[19] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[20] -1	0x00004080 - 0x00004087 (0x8) IX[B]
	[21] -1	0x00004000 - 0x0000407f (0x80) IX[B]
	[22] -1	0x0000d800 - 0x0000d8ff (0x100) IX[B]
	[23] -1	0x0000dce0 - 0x0000dcff (0x20) IX[B]
	[24] -1	0x00000860 - 0x0000086f (0x10) IX[B]
	[25] -1	0x0000ec00 - 0x0000ecff (0x100) IX[B](B)
	[26] 0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[27] 0	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/X11R6/lib/modules/libvgahw.a
(II) Module vgahw: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.5
(II) R128(0): PCI bus 1 card 0 func 0
(**) R128(0): Depth 24, (--) framebuffer bpp 32
(II) R128(0): Pixel depth = 24 bits stored in 4 bytes (32 bpp pixmaps)
(==) R128(0): Default visual is TrueColor
(==) R128(0): RGB weight 888
(II) R128(0): Using 8 bits per RGB (8 bit DAC)
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/X11R6/lib/modules/linux/libint10.a
(II) Module int10: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.5
(II) R128(0): initializing int10
(II) R128(0): Primary V_BIOS segment is: 0xc000
(--) R128(0): Chipset: "ATI Rage 128 Mobility LF (AGP)" (ChipID = 0x4c46)
(--) R128(0): Linear framebuffer at 0xf8000000
(--) R128(0): MMIO registers at 0xfdffc000
(--) R128(0): VideoRAM: 8192 kByte (128-bit SDR SGRAM 1:1)
(**) R128(0): Using flat panel for display
(II) R128(0): Panel size: 1400x1050
(II) R128(0): Panel ID: Samsung LTN141P2        
(II) R128(0): Panel Type: Color, Single, TFT
(II) R128(0): Panel Interface: LVDS
(II) R128(0): PLL parameters: rf=2700 rd=12 min=12000 max=27000; xclk=10500
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.5
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Loading /usr/X11R6/lib/modules/libvbe.a
(II) Module vbe: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.5
(II) R128(0): VESA BIOS detected
(II) R128(0): VESA VBE Version 2.0
(II) R128(0): VESA VBE Total Mem: 8192 kB
(II) R128(0): VESA VBE OEM: ATI MOBILE M3
(II) R128(0): VESA VBE OEM Software Rev: 1.0
(II) R128(0): VESA VBE OEM Vendor: ATI Technologies Inc.
(II) R128(0): VESA VBE OEM Product: M3  
(II) R128(0): VESA VBE OEM Product Rev: 01.00
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Reloading /usr/X11R6/lib/modules/libddc.a
(II) R128(0): VESA VBE DDC supported
(II) R128(0): VESA VBE DDC Level none
(II) R128(0): VESA VBE DDC transfer in appr. 2 sec.
(II) R128(0): VESA VBE DDC read failed
(==) R128(0): Using gamma correction (1.0, 1.0, 1.0)
(II) R128(0): Monitor0: Using hsync range of 31.50-90.00 kHz
(II) R128(0): Monitor0: Using vrefresh range of 59.00-75.00 Hz
(II) R128(0): Clock range:  12.00 to 270.00 MHz
(II) R128(0): Not using mode "1400x1050" (vrefresh out of range)
(II) R128(0): Not using mode "1400x1050" (hsync out of range)
(II) R128(0): Not using mode "1400x1050" (hsync out of range)
(II) R128(0): Not using default mode "640x350" (vrefresh out of range)
(II) R128(0): Not using default mode "320x175" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "640x400" (vrefresh out of range)
(II) R128(0): Not using default mode "320x200" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "720x400" (no mode of this name)
(II) R128(0): Not using default mode "360x200" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "640x480" (hsync out of range)
(II) R128(0): Not using default mode "320x240" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "640x480" (hsync out of range)
(II) R128(0): Not using default mode "320x240" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "640x480" (hsync out of range)
(II) R128(0): Not using default mode "320x240" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "640x480" (vrefresh out of range)
(II) R128(0): Not using default mode "320x240" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "800x600" (vrefresh out of range)
(II) R128(0): Not using default mode "400x300" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "800x600" (hsync out of range)
(II) R128(0): Not using default mode "400x300" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "800x600" (hsync out of range)
(II) R128(0): Not using default mode "400x300" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "800x600" (hsync out of range)
(II) R128(0): Not using default mode "400x300" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "800x600" (vrefresh out of range)
(II) R128(0): Not using default mode "400x300" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "1024x768" (bad mode
clock/interlace/doublescan)
(II) R128(0): Not using default mode "512x384" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "1024x768" (vrefresh out of range)
(II) R128(0): Not using default mode "512x384" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "1024x768" (vrefresh out of range)
(II) R128(0): Not using default mode "512x384" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "1024x768" (vrefresh out of range)
(II) R128(0): Not using default mode "512x384" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "1024x768" (vrefresh out of range)
(II) R128(0): Not using default mode "512x384" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "1152x864" (no mode of this name)
(II) R128(0): Not using default mode "576x432" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "1280x960" (no mode of this name)
(II) R128(0): Not using default mode "640x480" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "1280x960" (no mode of this name)
(II) R128(0): Not using default mode "640x480" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "640x512" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "1280x1024" (vrefresh out of range)
(II) R128(0): Not using default mode "640x512" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "1280x1024" (hsync out of range)
(II) R128(0): Not using default mode "640x512" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "1600x1200" (no mode of this name)
(II) R128(0): Not using default mode "800x600" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "1600x1200" (no mode of this name)
(II) R128(0): Not using default mode "800x600" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "1600x1200" (no mode of this name)
(II) R128(0): Not using default mode "800x600" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "1600x1200" (no mode of this name)
(II) R128(0): Not using default mode "800x600" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "1600x1200" (no mode of this name)
(II) R128(0): Not using default mode "800x600" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "1792x1344" (insufficient memory for mode)
(II) R128(0): Not using default mode "896x672" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "1792x1344" (insufficient memory for mode)
(II) R128(0): Not using default mode "896x672" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "1856x1392" (insufficient memory for mode)
(II) R128(0): Not using default mode "928x696" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "1856x1392" (insufficient memory for mode)
(II) R128(0): Not using default mode "928x696" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "1920x1440" (insufficient memory for mode)
(II) R128(0): Not using default mode "960x720" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "1920x1440" (insufficient memory for mode)
(II) R128(0): Not using default mode "960x720" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "832x624" (no mode of this name)
(II) R128(0): Not using default mode "416x312" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "1152x864" (no mode of this name)
(II) R128(0): Not using default mode "576x432" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "700x525" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "700x525" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "700x525" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "700x525" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "1600x1024" (no mode of this name)
(II) R128(0): Not using default mode "800x512" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using default mode "1920x1200" (insufficient memory for mode)
(II) R128(0): Not using default mode "960x600" (bad mode clock/interlace/doublescan)
(II) R128(0): Not using mode "1400x1050" (no mode of this name)
(II) R128(0): Not using mode "1024x768" (no mode of this name)
(II) R128(0): Not using mode "800x600" (no mode of this name)
(II) R128(0): Not using mode "640x480" (no mode of this name)
(--) R128(0): Virtual size is 1400x1050 (pitch 1408)
(**) R128(0): Mode "1400x1050": 108.0 MHz, 76.4 kHz, 71.7 Hz
(II) R128(0): Modeline "1400x1050"  108.00  1400 1448 1462 1688  1050 1050 1053
1066 +hsync +vsync
(==) R128(0): DPI set to (75, 75)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/X11R6/lib/modules/libfb.a
(II) Module fb: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	ABI class: XFree86 ANSI C Emulation, version 0.1
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Loading /usr/X11R6/lib/modules/libramdac.a
(II) Module ramdac: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.5
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/X11R6/lib/modules/libxaa.a
(II) Module xaa: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.5
(!!) R128(0): For information on using the multimedia capabilities
 of this adapter, please see http://gatos.sf.net.
(--) Depth 24 pixmap format is 32 bpp
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
	[0] 0	0xfdffc000 - 0xfdffffff (0x4000) MS[B]
	[1] 0	0xf8000000 - 0xfbffffff (0x4000000) MS[B]
	[2] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[3] -1	0x00100000 - 0x203fffff (0x20300000) MX[B]E(B)
	[4] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[5] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[6] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[7] -1	0x20404000 - 0x20407fff (0x4000) MX[B]
	[8] -1	0x20801800 - 0x20801fff (0x800) MX[B]
	[9] -1	0x20801000 - 0x208017ff (0x800) MX[B]
	[10] -1	0x20400000 - 0x20403fff (0x4000) MX[B]
	[11] -1	0x20800800 - 0x20800fff (0x800) MX[B]
	[12] -1	0x20800000 - 0x208007ff (0x800) MX[B]
	[13] -1	0xf3ffe000 - 0xf3ffffff (0x2000) MX[B]
	[14] -1	0xf4000000 - 0xf7ffffff (0x4000000) MX[B]
	[15] -1	0xfdffc000 - 0xfdffffff (0x4000) MX[B](B)
	[16] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[17] 0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[18] 0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[19] 0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[20] 0	0x0000ec00 - 0x0000ecff (0x100) IS[B]
	[21] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[22] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[23] -1	0x00004080 - 0x00004087 (0x8) IX[B]
	[24] -1	0x00004000 - 0x0000407f (0x80) IX[B]
	[25] -1	0x0000d800 - 0x0000d8ff (0x100) IX[B]
	[26] -1	0x0000dce0 - 0x0000dcff (0x20) IX[B]
	[27] -1	0x00000860 - 0x0000086f (0x10) IX[B]
	[28] -1	0x0000ec00 - 0x0000ecff (0x100) IX[B](B)
	[29] 0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[30] 0	0x000003c0 - 0x000003df (0x20) IS[B]
(==) R128(0): Write-combining range (0xf8000000,0x800000)
(WW) R128(0): Static buffer allocation failed -- need at least 17325 kB video memory
(II) R128(0): Memory manager initialized to (0,0) (1408,1489)
(II) R128(0): Reserved area from (0,1050) to (1408,1052)
(II) R128(0): Largest offscreen area available: 1408 x 437
(==) R128(0): Backing store disabled
(==) R128(0): Silken mouse enabled
(II) R128(0): Using XFree86 Acceleration Architecture (XAA)
	Screen to screen bit blits
	Solid filled rectangles
	8x8 mono pattern filled rectangles
	Indirect CPU to Screen color expansion
	Solid Lines
	Dashed Lines
	Scanline Image Writes
	Offscreen Pixmaps
	Setting up tile and stipple cache:
		17 128x128 slots
		4 256x256 slots
(II) R128(0): Acceleration enabled
(II) R128(0): Using hardware cursor (scanline 4208)
(II) R128(0): Largest offscreen area available: 1408 x 435
(WW) R128(0): Option "DPMS" is not used
(II) R128(0): Direct rendering disabled
(II) Setting vga for screen 0.
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension LBX
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(**) Option "Protocol" "PS/2"
(**) Mouse0: Protocol: "PS/2"
(**) Option "CorePointer"
(**) Mouse0: Core Pointer
(**) Option "Device" "/dev/psaux"
(**) Option "Emulate3Buttons" "yes"
(**) Mouse0: Emulate3Buttons, Emulate3Timeout: 50
(**) Option "ZAxisMapping" "4 5"
(**) Mouse0: ZAxisMapping: buttons 4 and 5
(**) Mouse0: Buttons: 5
(II) Keyboard "Keyboard0" handled by legacy driver
(II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)
Could not init font path element /usr/lib/X11/fonts/Speedo, removing from list!
SetKbdSettings - type: 0 rate: 30 delay: 500 snumlk: 0
SetKbdSettings - Succeeded
GetModeLine - scrn: 0 clock: 108000
GetModeLine - hdsp: 1400 hbeg: 1448 hend: 1462 httl: 1688
              vdsp: 1050 vbeg: 1050 vend: 1053 vttl: 1066 flags: 5




00:00.0 Host bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX Host bridge (rev 03)
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR+ FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort+ >SERR- <PERR-
	Latency: 32
	Region 0: Memory at f4000000 (32-bit, prefetchable) [size=64M]
	Capabilities: [a0] AGP version 1.0
		Status: RQ=31 SBA+ 64bit- FW- Rate=x1,x2
		Command: RQ=0 SBA- AGP- 64bit- FW- Rate=<none>

00:01.0 PCI bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX AGP bridge (rev 03)
(prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV+ VGASnoop- ParErr- Stepping-
SERR+ FastB2B-
	Status: Cap- 66Mhz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Latency: 32
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=32
	I/O behind bridge: 0000e000-0000efff
	Memory behind bridge: fd000000-feffffff
	Prefetchable memory behind bridge: f8000000-fbffffff
	BridgeCtl: Parity- SERR- NoISA+ VGA+ MAbort- >Reset- FastB2B+

00:03.0 CardBus bridge: Texas Instruments PCI1420
	Subsystem: Dell Computer Corporation: Unknown device 00b1
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Latency: 168, cache line size 08
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at 20000000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=00, secondary=02, subordinate=05, sec-latency=176
	Memory window 0: 20400000-207ff000 (prefetchable)
	Memory window 1: 20800000-20bff000
	I/O window 0: 00004000-000040ff
	I/O window 1: 00004400-000044ff
	BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset- 16bInt- PostWrite+
	16-bit legacy interface ports at 0001

00:03.1 CardBus bridge: Texas Instruments PCI1420
	Subsystem: Dell Computer Corporation: Unknown device 00b1
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Latency: 168, cache line size 08
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at 20001000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=00, secondary=06, subordinate=09, sec-latency=176
	Memory window 0: 20c00000-20fff000 (prefetchable)
	Memory window 1: 21000000-213ff000
	I/O window 0: 00004800-000048ff
	I/O window 1: 00004c00-00004cff
	BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset+ 16bInt+ PostWrite+
	16-bit legacy interface ports at 0001

00:07.0 Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ISA (rev 02)
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping-
SERR+ FastB2B-
	Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Latency: 0

00:07.1 IDE interface: Intel Corp. 82371AB/EB/MB PIIX4 IDE (rev 01) (prog-if 80
[Master])
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Latency: 32
	Region 4: I/O ports at 0860 [size=16]

00:07.2 USB Controller: Intel Corp. 82371AB/EB/MB PIIX4 USB (rev 01) (prog-if 00
[UHCI])
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Latency: 32
	Interrupt: pin D routed to IRQ 11
	Region 4: I/O ports at dce0 [size=32]

00:07.3 Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ACPI (rev 03)
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Interrupt: pin ? routed to IRQ 9

00:08.0 Multimedia audio controller: ESS Technology ES1983S Maestro-3i PCI Audio
Accelerator (rev 10)
	Subsystem: Dell Computer Corporation: Unknown device 00b1
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Latency: 32 (500ns min, 6000ns max)
	Interrupt: pin A routed to IRQ 5
	Region 0: I/O ports at d800 [size=256]
	Region 1: Memory at f3ffe000 (32-bit, non-prefetchable) [size=8K]
	Capabilities: [c0] Power Management version 2
		Flags: PMEClk- DSI+ D1+ D2+ AuxCurrent=0mA PME(D0-,D1+,D2+,D3hot+,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:10.0 CardBus bridge: Texas Instruments PCI1410 PC card Cardbus Controller
(rev 01)
	Subsystem: Lucent Technologies: Unknown device ab01
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Latency: 168, cache line size 08
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at 20002000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=00, secondary=0a, subordinate=0d, sec-latency=176
	Memory window 0: 21400000-217ff000 (prefetchable)
	Memory window 1: 21800000-21bff000
	I/O window 0: 00005000-000050ff
	I/O window 1: 00005400-000054ff
	BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset+ 16bInt- PostWrite+
	16-bit legacy interface ports at 0001

01:00.0 VGA compatible controller: ATI Technologies Inc Rage Mobility M3 AGP 2x
(rev 02) (prog-if 00 [VGA])
	Subsystem: Dell Computer Corporation: Unknown device 00b1
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+
SERR- FastB2B-
	Status: Cap+ 66Mhz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Latency: 32 (2000ns min), cache line size 08
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at f8000000 (32-bit, prefetchable) [size=64M]
	Region 1: I/O ports at ec00 [size=256]
	Region 2: Memory at fdffc000 (32-bit, non-prefetchable) [size=16K]
	Expansion ROM at <unassigned> [disabled] [size=128K]
	Capabilities: [50] AGP version 2.0
		Status: RQ=31 SBA+ 64bit- FW- Rate=x1,x2
		Command: RQ=0 SBA+ AGP- 64bit- FW- Rate=<none>
	Capabilities: [5c] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

02:00.0 Ethernet controller: Xircom Cardbus Ethernet 10/100 (rev 03)
	Subsystem: Xircom Cardbus Ethernet 10/100
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Latency: 64 (5000ns min, 10000ns max)
	Interrupt: pin A routed to IRQ 11
	Region 0: I/O ports at 4000 [size=128]
	Region 1: Memory at 20800000 (32-bit, non-prefetchable) [size=2K]
	Region 2: Memory at 20800800 (32-bit, non-prefetchable) [size=2K]
	Expansion ROM at 20400000 [size=16K]
	Capabilities: [dc] Power Management version 1
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=2 PME-

02:00.1 Serial controller: Xircom Cardbus Ethernet + 56k Modem (rev 03) (prog-if
02 [16550])
	Subsystem: Xircom CBEM56G-100 Ethernet + 56k Modem
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Interrupt: pin A routed to IRQ 11
	Region 0: I/O ports at 4080 [size=8]
	Region 1: Memory at 20801000 (32-bit, non-prefetchable) [size=2K]
	Region 2: Memory at 20801800 (32-bit, non-prefetchable) [size=2K]
	Expansion ROM at 20404000 [size=16K]
	Capabilities: [dc] Power Management version 1
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=2 PME-

00:00.0 Class 0600: 8086:7190 (rev 03)
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR+ FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort+ >SERR- <PERR-
	Latency: 32
	Region 0: Memory at f4000000 (32-bit, prefetchable) [size=64M]
	Capabilities: [a0] AGP version 1.0
		Status: RQ=31 SBA+ 64bit- FW- Rate=x1,x2
		Command: RQ=0 SBA- AGP- 64bit- FW- Rate=<none>

00:01.0 Class 0604: 8086:7191 (rev 03)
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV+ VGASnoop- ParErr- Stepping-
SERR+ FastB2B-
	Status: Cap- 66Mhz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Latency: 32
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=32
	I/O behind bridge: 0000e000-0000efff
	Memory behind bridge: fd000000-feffffff
	Prefetchable memory behind bridge: f8000000-fbffffff
	BridgeCtl: Parity- SERR- NoISA+ VGA+ MAbort- >Reset- FastB2B+

00:03.0 Class 0607: 104c:ac51
	Subsystem: 1028:00b1
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Latency: 168, cache line size 08
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at 20000000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=00, secondary=02, subordinate=05, sec-latency=176
	Memory window 0: 20400000-207ff000 (prefetchable)
	Memory window 1: 20800000-20bff000
	I/O window 0: 00004000-000040ff
	I/O window 1: 00004400-000044ff
	BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset- 16bInt- PostWrite+
	16-bit legacy interface ports at 0001

00:03.1 Class 0607: 104c:ac51
	Subsystem: 1028:00b1
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Latency: 168, cache line size 08
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at 20001000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=00, secondary=06, subordinate=09, sec-latency=176
	Memory window 0: 20c00000-20fff000 (prefetchable)
	Memory window 1: 21000000-213ff000
	I/O window 0: 00004800-000048ff
	I/O window 1: 00004c00-00004cff
	BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset+ 16bInt+ PostWrite+
	16-bit legacy interface ports at 0001

00:07.0 Class 0680: 8086:7110 (rev 02)
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping-
SERR+ FastB2B-
	Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Latency: 0

00:07.1 Class 0101: 8086:7111 (rev 01) (prog-if 80 [Master])
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Latency: 32
	Region 4: I/O ports at 0860 [size=16]

00:07.2 Class 0c03: 8086:7112 (rev 01)
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Latency: 32
	Interrupt: pin D routed to IRQ 11
	Region 4: I/O ports at dce0 [size=32]

00:07.3 Class 0680: 8086:7113 (rev 03)
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Interrupt: pin ? routed to IRQ 9

00:08.0 Class 0401: 125d:1998 (rev 10)
	Subsystem: 1028:00b1
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Latency: 32 (500ns min, 6000ns max)
	Interrupt: pin A routed to IRQ 5
	Region 0: I/O ports at d800 [size=256]
	Region 1: Memory at f3ffe000 (32-bit, non-prefetchable) [size=8K]
	Capabilities: [c0] Power Management version 2
		Flags: PMEClk- DSI+ D1+ D2+ AuxCurrent=0mA PME(D0-,D1+,D2+,D3hot+,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:10.0 Class 0607: 104c:ac50 (rev 01)
	Subsystem: 12a3:ab01
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Latency: 168, cache line size 08
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at 20002000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=00, secondary=0a, subordinate=0d, sec-latency=176
	Memory window 0: 21400000-217ff000 (prefetchable)
	Memory window 1: 21800000-21bff000
	I/O window 0: 00005000-000050ff
	I/O window 1: 00005400-000054ff
	BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset+ 16bInt- PostWrite+
	16-bit legacy interface ports at 0001

01:00.0 Class 0300: 1002:4c46 (rev 02)
	Subsystem: 1028:00b1
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+
SERR- FastB2B-
	Status: Cap+ 66Mhz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Latency: 32 (2000ns min), cache line size 08
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at f8000000 (32-bit, prefetchable) [size=64M]
	Region 1: I/O ports at ec00 [size=256]
	Region 2: Memory at fdffc000 (32-bit, non-prefetchable) [size=16K]
	Expansion ROM at <unassigned> [disabled] [size=128K]
	Capabilities: [50] AGP version 2.0
		Status: RQ=31 SBA+ 64bit- FW- Rate=x1,x2
		Command: RQ=0 SBA+ AGP- 64bit- FW- Rate=<none>
	Capabilities: [5c] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

02:00.0 Class 0200: 115d:0003 (rev 03)
	Subsystem: 115d:1181
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Latency: 64 (5000ns min, 10000ns max)
	Interrupt: pin A routed to IRQ 11
	Region 0: I/O ports at 4000 [size=128]
	Region 1: Memory at 20800000 (32-bit, non-prefetchable) [size=2K]
	Region 2: Memory at 20800800 (32-bit, non-prefetchable) [size=2K]
	Expansion ROM at 20400000 [size=16K]
	Capabilities: [dc] Power Management version 1
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=2 PME-

02:00.1 Class 0700: 115d:0103 (rev 03) (prog-if 02)
	Subsystem: 115d:1181
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Interrupt: pin A routed to IRQ 11
	Region 0: I/O ports at 4080 [size=8]
	Region 1: Memory at 20801000 (32-bit, non-prefetchable) [size=2K]
	Region 2: Memory at 20801800 (32-bit, non-prefetchable) [size=2K]
	Expansion ROM at 20404000 [size=16K]
	Capabilities: [dc] Power Management version 1
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=2 PME-
Comment 1 Mike A. Harris 2002-08-22 05:03:14 EDT
Your display seems not to be DDC probeable.  X can't probe the
H/V frequencies, so they must be specified manually by hand
in the config file.
Comment 2 Mike A. Harris 2002-12-29 04:25:30 EST
Does this problem occur with Red Hat Linux 8.0 as well?
Comment 3 Don Hardaway 2002-12-29 16:39:31 EST
It does the same thing in rh 8.0 but as i responded in my bug report to mharris,
i was able to get it to go to 1024x768 by increasing the horizontal to 31.5-117
and  the vertical to 55-235 in the X config file.
Comment 4 Bruce Allen 2002-12-30 01:03:40 EST
Prior to seeing Don Hardaway's email comment, I didn't know if this problem also
occured with RH8.0.  I was going to offer to try it but it appears un-necessary
since Don has answered the question already.

Don, could you cut and paste the relevant parts of your XF86Config-4 file into
the bug report?  I'll then try your fix under 7.3 and report back.

Cheers, Bruce
Comment 5 Mike A. Harris 2002-12-30 01:23:35 EST
No, please do not cut and paste log files or config files into the comment
field as was done above.  Attach the entire files properly as file attachments
using the bugzilla file attachment feature.  That way they can be opened up
easily in individual browser windows, or can be downloaded for testing, etc.
easily.  By pasting them into the comment as above, the bug report becomes
very huge and unreadable to get to the actual comments people supply you have
to dodge over 18 screens of log files.

Always make file attachments for anything you're adding in the form of
files.
Comment 6 Don Hardaway 2002-12-30 07:24:47 EST
Created attachment 88985 [details]
here is my config file
Comment 7 Don Hardaway 2002-12-30 07:28:46 EST
I might add though, when i select 24 bit color as opposed to the current 16 bit,
the screen goes crazy with only half of the login block that is in the center of
the screen when you login showing.  Wish i knew why i can not get 24 bit color.
Comment 8 Joseph Harnish 2003-04-07 09:43:23 EDT
I have the same issue with RedHat 9 on my Dell C800 laptop.
Comment 9 Bruce Allen 2003-06-19 10:51:10 EDT
Created attachment 92487 [details]
XFree 86 Config file with two screen entries: 1400x1050 and 1024x768

To start X in 1400x1050 use:
  startx
To start X in 1024x768 use:
  startx -- -screen Screen1
Comment 10 Bruce Allen 2003-06-19 10:57:54 EDT
Comment on attachment 92487 [details]
XFree 86 Config file with two screen entries: 1400x1050 and 1024x768

I apologize -- I typed in a long comment but it was lost.  After reading
through the previous comments on this bug, I spent some time playing with
different config files.  I eventually came to understand a few things:

(1) 1024x768 mode in 24 bit will lock up the system so it requires battery
removal to restart.

(2) 1400x1050 mode in 24 bit works fine.

(3) If you define multiple 16 bit modes, you can shift between them only by the
following combination of keystrokes:
<NumLock>
<CNTRL><FN><ALT>P
<CNTRL><FN><ALT>;
the last two are then numeric keypad + and - keys.

I found it easiest to create two different screens, to change the default
runlevel in /etc/inittab to 3, and to start X with
startx or
startx -- -screen Screen1
so that the size of the real window agreed with the size of the window managers
virtual window
Comment 11 Don Hardaway 2003-06-19 11:14:49 EDT
I have been reporting this problem to m harris for a year without any
resolution. The only two things that I have found to work is to use the vesa
driver and not have a faster display or get the beta driver from:
http://www.scitechsoft.com/products/enterprise/enterprise_download/snap_linux_download.html

The r128 driver sucks.
Comment 12 Mike A. Harris 2003-06-19 12:11:08 EDT
This problem really isn't going to get fixed until someone who has the
hardware and can reproduce the bug, can look into it.  That is most likely
not going to happen at Red Hat in all honesty.  Please report this bug
to XFree86.org at http://bugs.xfree86.org and provide the URL to the upstream
bug report here for tracking.  When this problem is fixed in upstream XFree86,
it will appear in a future release of Red Hat Linux when the new XFree86
comes out with the fixes.  It may also be backported from CVS if the 
fixes in the upstream sources are small and non-intrusive and are not a
regression risk to the driver.

This problem will not be debugged or investigated further directly by Red Hat
however, as we do not have the hardware, and laptop video hardware problems
are very low priority.

Closing bug report as UPSTREAM, waiting for reporter to provide upstream
bug URL, so it can be tracked through upstream closure.
Comment 13 Mike A. Harris 2004-09-01 06:13:52 EDT
Doing an upstream bug scan update, and I notice this issue doesn't
have any upstream bug URL associated with it.

I'm assuming the issue is no longer reproduceable in currently
supported operating system releases, and closing the bug as
"CURRENTRELEASE" which is Fedora Core 2 at the present time
(using xorg-x11-6.7.0).

If the problem turns out to still be reproduceable in Fedora Core 2,
and also in our current rawhide xorg-x11 release, you can file a
bug report in X.Org bugzilla upstream, and if you paste the bug
URL here in the bug report, we'll CC on it and track the issue
upstream.  If a fix becomes available we will review it for
consideration in future erratum releases.

Closing issue as "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.